KOBJECT_SET_NAME(9)

NAME
kobject_set_name - Set the name of a kobject

SYNOPSIS

int kobject_set_name(struct kobject * kobj, const char * fmt, ...);

ARGUMENTS

kobj
    struct kobject to set the name of

fmt
    format string used to build the name

...
    variable arguments

DESCRIPTION

This sets the name of the kobject. If you have already added the kobject to the system, you must call kobject_rename in order to change the name of the kobject.

COPYRIGHT